using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace Bouncer
{
    public partial class Form1 : Form
    {

        private Image cheeseImage = null;

        public Form1()
        {
            InitializeComponent();

            // Get the assembly so you can get the cheese out of it.
            System.Reflection.Assembly execAssem =
                System.Reflection.Assembly.GetExecutingAssembly();

            // Get the cheese.
            cheeseImage = new System.Drawing.Bitmap(
                execAssem.GetManifestResourceStream(@"Bouncer.cheese.gif")
            );

            timer1.Enabled = true;

        }

        /// <summary>
        ///  The X coordinate of the cheese drawing.
        /// </summary>
        private int cx = 0;
        /// <summary>
        /// The Y coordinate of the cheese drawing.
        /// </summary>
        private int cy = 0;
        /// <summary>
        /// Speed of the cheese movement in the x direction.
        /// </summary>
        private int xSpeed = 1;
        /// <summary>
        /// Speed of the cheese movement in the y direction.
        /// </summary>
        private int ySpeed = 1;

        private void updatePositions()
        {
            cx+=xSpeed;

            if (((cx + cheeseImage.Width) >= this.Width) ||
                (cx <= 0))
            {
                xSpeed *= -1;
            }

            cy+=ySpeed;

            if (((cy + cheeseImage.Height) >= this.Height) ||
                 (cy <= 0) ) {
                    ySpeed *= -1;
            }
        }

        private void Form1_Paint(object sender, PaintEventArgs e)
        {
            e.Graphics.DrawImage(cheeseImage,cx,cy);
        }

        private void timer1_Tick(object sender, EventArgs e)
        {
            updatePositions();
            Invalidate();
        }

        private void menuItem2_Click(object sender, EventArgs e)
        {
            Application.Exit();
        }
    }
}