using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using Microsoft.WindowsMobile.Status;

namespace Headset
{
    public partial class HeadsetForm : Form
    {
        SystemState headsetState;

        public HeadsetForm()
        {

            InitializeComponent();

            // display the initial state
            bool gotHeadset = 
                Convert.ToBoolean(SystemState.GetValue(SystemProperty.HeadsetPresent));
            if (gotHeadset)
            {
                headsetPresentLabel.Text = "Headset Present";
            }
            else
            {
                headsetPresentLabel.Text = "No Headset";
            }

            // add the event handler and delegate
            headsetState = new SystemState(SystemProperty.HeadsetPresent);

            headsetState.Changed += new ChangeEventHandler(headsetState_Changed);
        }

        void headsetState_Changed(object sender, ChangeEventArgs args)
        {
            bool gotHeadset = Convert.ToBoolean(args.NewValue);
            if (gotHeadset)
            {
                headsetPresentLabel.Text = "Headset Present";
            }
            else
            {
                headsetPresentLabel.Text = "No Headset";
            }
        }

        private void doneMenuItem_Click(object sender, EventArgs e)
        {
            Application.Exit();
        }
    }
}