using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

using Microsoft.WindowsMobile.PocketOutlook;
using Microsoft.WindowsMobile.PocketOutlook.MessageInterception;

namespace PhoneExploder
{
    public partial class PhoneExploderForm : Form
    {
        private MessageInterceptor interceptor;

        private Sound explosion;

        readonly System.Reflection.Assembly assembly =
            System.Reflection.Assembly.GetExecutingAssembly();

        public PhoneExploderForm()
        {
            InitializeComponent();

            explosion = new Sound(assembly.GetManifestResourceStream("PhoneExploder.bang.wav"));

            interceptor = new MessageInterceptor();
            interceptor.InterceptionAction = InterceptionAction.NotifyAndDelete;

            interceptor.MessageReceived += new MessageInterceptorEventHandler(interceptor_MessageReceived);
        }

        void interceptor_MessageReceived(object sender, MessageInterceptorEventArgs e)
        {
            Message m = e.Message;

            if ( m.GetType() == typeof(SmsMessage) )
            {
                SmsMessage sms = m as SmsMessage;
                if (sms.Body == "bang")
                {
                    explosion.Play();
                    MessageBox.Show("BANG!");
                }
            }
        }

        private void doneMenuItem_Click(object sender, EventArgs e)
        {
            Application.Exit();
        }
    }
}